Skip to content
Get Started

List seats

GET/api/v2/seats

Retrieve a list of seats (users) for the authenticated company. Use the returned seat_id values when sending messages with the seat_id parameter to attribute activity to a specific rep.

Query ParametersExpand Collapse
email: optional string

Optional exact-match filter on seat email

formatemail
limit: optional number

Maximum number of seats to return

offset: optional number

Number of seats to skip

ReturnsExpand Collapse
account: optional string

Account name the seat belongs to

created_at: optional string

When the seat was created

formatdate-time
email: optional string

Email address of the seat user

formatemail
first_name: optional string

First name

forwarding_number: optional string

Optional phone number used to forward calls

last_name: optional string

Last name

seat_id: optional string

Primary identifier for the seat. Pass this on the send endpoints’ seat_id parameter.

formatuuid

List seats

curl https://api.sendblue.co/api/v2/seats \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
[
  {
    "account": "acmeco",
    "created_at": "2024-06-15T18:24:01Z",
    "email": "[email protected]",
    "first_name": "Jane",
    "forwarding_number": "+19998887777",
    "last_name": "Doe",
    "seat_id": "550e8400-e29b-41d4-a716-446655440000"
  }
]
Returns Examples
[
  {
    "account": "acmeco",
    "created_at": "2024-06-15T18:24:01Z",
    "email": "[email protected]",
    "first_name": "Jane",
    "forwarding_number": "+19998887777",
    "last_name": "Doe",
    "seat_id": "550e8400-e29b-41d4-a716-446655440000"
  }
]